using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace SolutionErp.Infrastructure.Persistence.Migrations
{
    /// <inheritdoc />
    public partial class AddWorkItemToPurchaseEvaluation : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<Guid>(
                name: "WorkItemId",
                table: "PurchaseEvaluations",
                type: "uniqueidentifier",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_PurchaseEvaluations_WorkItemId",
                table: "PurchaseEvaluations",
                column: "WorkItemId");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_PurchaseEvaluations_WorkItemId",
                table: "PurchaseEvaluations");

            migrationBuilder.DropColumn(
                name: "WorkItemId",
                table: "PurchaseEvaluations");
        }
    }
}
